from appPublic.dictObject import DictObject
from appPublic.oauth_client import OAuthClient

desc = {
	"path":"/asr/generate",
	"method":"POST",
	"headers":[
		{
			"name":"Content-Type",
			"value":"application/json"
		}
	],
	"data":[{
		"name":"audio_file",
		"value":"${audio_file}"
	},{
		"name":"model",
		"value":"whisper"
	}
	],
	"resp":[
		{
			"name":"content",
			"value":"content"
		}
	]
}
opts = {
	"data":{
		"oops":0
	},
	"asr":desc
}

async def asr(a_file):
	oc  = OAuthClient(DictObject(**opts))
	with open(a_file, 'rb') as f:
		r = await oc("http://open-computing.cn", "asr", {"audio_file":f})
		print(f'{r=}')
	"""
	segments, info = model.transcribe(a_file, beam_size=5)
	txt = ''
	for s in segments:
		txt += s.text
	return {
		'content': txt,
		'language': info.language
	}
	"""
